

  <?php
  include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from dispositivos") or die(mysql_error());
        $sql_cobradores = mysql_query("select * from cobradores where estado_cobrador='1'") or die(mysql_error());
  ?>


    <div class="container-fluid">
           <?php include_once("../barra_lateral.php")?>  
  <div class="container col-md-7">
    <div class="row">
      <div class="col-md-12">
           <h3><i class="fa fa-tablet"></i> Registro de dispositivos moviles</h3>
        <a class="btn btn-sm btn-success mb-2" href="javascript:void(0)" onClick="modaldispositivo()"><i class="fa fa-plus"></i> Registrar un nuevo dispositivo</a>
        <script type="text/javascript">
          function modaldispositivo(){
            $("#modalDispositivos").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <div class="table-responsive">
          <table class="table table-sm table-borderred" data-page-length='8'>
            <thead>
              <th># dispositivo</th>
              <th>Descripcion</th>
             
              <th>Estado</th>
              <th>Opciones</th>
            </thead>
            <tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_dispositivo"]?></td>
                <td><?php echo $r["descripcion"]?></td>
               
              <td><?php echo state($r["estado_dispositivo"])?></td>
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalDispositivos" data-toggle="modal" onClick='ver(<?php echo $r["id_dispositivo"]?>)'><i class="fa fa-eye"></i></a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
        </div>
      </div>
      


          
</div>
    </div>

  <!---Modal Cliente-->
  <div class="modal fade" id="modalDispositivos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Registro de dispositivos</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


      <form name="frm" action="" method="POST" id="frm">
       
     

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Id</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
          </div>
        </div>

          <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="_nombre" name="_nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
        
             <div class="row">
                    <div class="col-md-3">
                        <label>Ruta</label>
                    </div>
                    <div class="col-md-9">
                        <select  class="form-control  mb-2" id="cobradores">
                                
                            <option value="" selected disabled>Asignar a cobrador</option>
                            <?php while ($r = mysql_fetch_array($sql_cobradores)) { ?>
                                <option value="<?php echo $r['nombre'] ?>"> <?php echo $r['nombre'] ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>

    


        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Activo</strong></label>
          <div class="col-sm-1">
            <input autocomplete="off" type="checkbox"  id="estado" name="estado" value="1" class="mt-2">
          </div>
        </div>

  


        
        
      </form>
      
      </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_dispositivo()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_dispositivo="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#_nombre").focus();
        $("#_nombre").select();
    },1000);

            var sql="select * from dispositivos where id_dispositivo='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_dispositivo= rs.data[i].id_dispositivo;             
                    $("#nombre").val(rs.data[i].descripcion);
                     $("#_nombre").val(rs.data[i].nombre);
                    $("#id").val(rs.data[i].id_dispositivo);
                   
                    var estado = (rs.data[i].estado_dispositivo)
                    if(estado=="1"){  
                      $("#estado").prop("checked",true);
                      }else{
                        $("#estado").prop("checked",false);
                      }
                    $("#cobradores option[value='"+rs.data[i].cobrador+"']").prop('selected', true);
                  

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_dispositivo(){
     if(!confirm("Seguro(a) que desea registrar este dispositivo?")){return;}                   
    
     var nombre = $("#nombre").val();
     var _nombre = $("#_nombre").val();
     var cobrador = $("#cobradores").val();
     var estado=""
     if( $('#estado').prop('checked') ) {
       estado="1";
    }else{
      estado="0";
    }



     if(_nombre=="" || nombre==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_dispositivo==""){
            sql="INSERT INTO dispositivos set ";
            sql+=" descripcion='"+nombre+"'";
            sql+=", nombre='"+_nombre+"'";
            sql+=", cobrador='"+cobrador+"'";
            sql+=", estado_dispositivo='"+estado+"'";

        }else{
            sql="UPDATE dispositivos set";
            sql+=" nombre='"+_nombre+"'";
            sql+=", descripcion='"+nombre+"'";
            sql+=", cobrador='"+cobrador+"'";
            sql+=", estado_dispositivo='"+estado+"'";
            sql+=" WHERE id_dispositivo='"+id_dispositivo+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalDispositivos").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_dispositivo="";
 
        setTimeout(function(){window.location.reload()},2000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_dispositivo==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from dispositivos where id_dispositivo='"+id_dispositivo+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modaDispositivos").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_dispositivo="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



$(".table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
         
        </script>

